
# react-native-brijesh-loader

## Getting started

`$ npm install react-native-brijesh-loader --save`

### Mostly automatic installation

`$ react-native link react-native-brijesh-loader`

### Manual installation


#### iOS

1. In XCode, in the project navigator, right click `Libraries` ➜ `Add Files to [your project's name]`
2. Go to `node_modules` ➜ `react-native-brijesh-loader` and add `RNBrijeshLoader.xcodeproj`
3. In XCode, in the project navigator, select your project. Add `libRNBrijeshLoader.a` to your project's `Build Phases` ➜ `Link Binary With Libraries`
4. Run your project (`Cmd+R`)<

#### Android

1. Open up `android/app/src/main/java/[...]/MainActivity.java`
  - Add `import com.brij.loader.RNBrijeshLoaderPackage;` to the imports at the top of the file
  - Add `new RNBrijeshLoaderPackage()` to the list returned by the `getPackages()` method
2. Append the following lines to `android/settings.gradle`:
  	```
  	include ':react-native-brijesh-loader'
  	project(':react-native-brijesh-loader').projectDir = new File(rootProject.projectDir, 	'../node_modules/react-native-brijesh-loader/android')
  	```
3. Insert the following lines inside the dependencies block in `android/app/build.gradle`:
  	```
      compile project(':react-native-brijesh-loader')
  	```


## Usage
```javascript
import RNBrijeshLoader from 'react-native-brijesh-loader';

// TODO: What to do with the module?
RNBrijeshLoader;
```
  